@media (max-width: 767px) {
    .hidden-xs {
        display: none;
    }
}

.header {
    background: $tuscan-red;
    min-height: 5rem;
    display: flex;
    align-items: center;
    justify-content: center;

    &-title {
        font-size: 2rem;
        color: $wheat;
        padding: 1rem 1rem 1rem 0;
    }
}

nav {
    ul {
        background-color: $tuscan-red;
        font-family: $font-serif;
        text-transform: capitalize;
        font-size: 2rem;
        list-style: none;
        text-align: center;
        & > li {
            padding: 1rem;
            a {
                color: $wheat;
                text-decoration: none;
            }
        }
    }
    hr {
        background: $wheat;
        height: 3px;
    }
}

.navbar-hidden {
    height: 0;
}

.navbar-visible {
    animation: expand .3s;
}

@keyframes expand {
    from {
        height: 0;
    }

    to {
        height: 100%;
    }
}

@keyframes collapse {
    from {
        height: 100%;
    }

    to {
        height: 0;
    }
}


.chevron::before {
    color: $wheat;
    border-style: solid;
    border-width: 0.25em 0.25em 0 0;
    content: '';
    display: inline-block;
    height: 0.65rem;
    left: 0.65rem;
    position: relative;
    top: 0.15em;
    transform: rotate(-45deg);
    vertical-align: top;
    width: 0.65em;
}

.chevron.top:before {
    top: 0;
    transform: rotate(-45deg);
    transition: transform .2s linear;
}

.chevron.bottom:before {
    top: 0;
    transform: rotate(135deg);
    transition: transform .2s linear;
}

h1, h4 {
    font-family: $font-cursive;
    color: $tuscan-red;
    text-align: center;
    font-weight: lighter;
    padding: 1rem;
}

.main {
    position: relative;
    background: $light-wheat;
    color: $tuscan-red;
    flex: 1 0 auto;
    padding: 5%;
    display: flex;
    flex-direction: column;
    align-items: center;

    &-image-hero {
        max-width: 90%;
        height: auto;
        padding: 5%;
    }

    h1, h4 {
        font-family: $font-cursive;
        color: $tuscan-red;
        text-align: center;
        font-weight: lighter;
        padding: 1rem;
    }
    section {
        color: $tuscan-red; 
    }

    p {
        font-family: $font-cursive;
    }
}

.img {
    max-width: 30%;
}

hr {
    height: .1rem;
    background-color: $tuscan-red;
    width: 100%;
}

.section-home {
    padding: 2.5rem 1rem;
    font-family: $font-serif;
    text-align: center;

    h2 {
        padding: 1rem 0;
        font-family: $font-cursive;
        font-weight: lighter;
    }

    p {
        font-size: 1.2rem;
    }
}

.footer {
    flex: none;
    background: $tuscan-red;
    color: $wheat;
    font-family: $font-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: $wheat;

    &-trademark {
        padding: .8rem;
    }
    &-design {
        font-style: italic;
        padding: .2rem
    }
    &-author {
        padding: .2rem;
        padding-bottom: 1rem;
    }
}

.font-cursive {
    font-family: $font-cursive;
}

.food {
    &-item {
        padding-bottom: 1rem;
    }   
    &-title {
        font-family: $font-cursive;
        padding: .5rem 0;
        font-weight: 100;
    }
    &-figure {
        display: flex;
        flex-direction: row;       
        align-items: flex-start; 
    }
    &-info {
        padding: 0 1rem 1rem 1rem;
    }
    &-image {
        max-width: 40%;
    }
    &-ingredients {
        font-family: $font-serif;
    }
}

.contacts {
    &-section {
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        justify-content: space-around;
        padding: 1rem 0;
        min-width: 80%;
    }
    &-header {
        width: 100%;
        text-align: center;
        font-family: $font-serif;
        padding: .5rem 0;
    }
    &-image {
        width: 1rem;
        &-mail {
            position: relative;
            right: .1rem;
        }
    }
    &-number {
        color: $tuscan-red;
        $font-size: 2rem;
        font-family: $font-serif;
    }
}

.table {
    background: $tuscan-red;
    font-family: $font-serif;
    margin-top: 1rem;
    width: 100%;
    border-radius: .4rem;

    th {
        color: $wheat;
        text-align: left;
        padding: 1rem;
        &.table-info-orario {
            padding: 0;
        }
    }

    td {
        color: $light-wheat;
        padding: 1rem;
        ul {
            list-style: none;
            li {
                padding: .5rem 0;
            }
        }
        &:nth-child(2n) {
            padding: 1rem 0;
        }
    }

    &-info {
        &-hours {
            padding: 1rem 0;
        }
        &-place {
            color: $light-wheat;
        }
    }
}

.paragraph-info {
    text-align: center;
}

.modal {
    font-family: $font-serif;
    z-index: -1;

    &-dark-frame {
        position: fixed;
        width: 100vw;
        height: 100vh;
        top: 0;
        left: 0;
        background: black;
        opacity: 0;
    }

    &-info {
        position: absolute;
        height: 80vh;
        width: 80vw;
        top: 10vh;
        left: 10vw;
        background: $wheat;
        color: $tuscan-red;

        &-hidden {
            animation: collapse-modal .5s ease-in;

            @keyframes collapse-modal {
                from {
                    height: 80vh;
                    opacity: 1;
                }
                to {
                    height: 0;
                    opacity: 0;
                }
            }
        }
        &-visible {
            //opacity: 1;
            animation: expand .5s ease-out;

            @keyframes expand {
                from {
                    opacity: 0;
                    height: 0;
                }
                to {
                    opacity: 1;
                    height: 80vh;
                }
            }
        }
        &-address {
            padding: 1rem;
            display: inline-block;
        }
        &-map {
            iframe {
                max-width: 90%;
                padding: 5%;
                height: 90%;
            }
        }
    }
    &-close {
        position: absolute;
        top: 0;
        right: 0;
        font-size: 1.5rem;
        font-family: $font-serif;
        padding: .5rem .8rem;
    }
}
